Subject: Re: [PATCH] bonding: document two undocumented options.

From: Nicolas de Pesloüan<[email-masked]>
Date: Wed, 03 Aug 2011 22:01:11 +0200

Le 03/08/2011 12:44, David Miller a écrit :
> From: Nicolas de Pesloüan<[email-masked]>
> Date: Tue,  2 Aug 2011 22:06:55 +0200
>
>> Commit 655f8919d549ad1872e24d826b6ce42530516d2e
>>      bonding: add min links parameter to 802.3ad
>>
>> and commit ebd8e4977a87cb81d93c62a9bff0102a9713722f
>>      bonding: add all_slaves_active parameter
>>
>> introduced new options to bonding, but didn't provide the documentation
>> for those options.
>>
>> Signed-off-by: Nicolas de Pesloüan<[email-masked]>
>
> Please explicitly mention in each new entry what the default
> setting is.

Unfortunately, I failed to find a place in the bonding code where the max_links option is 
initialized with a default value. So I must assume default value is zero which should cause carrier 
to always be asserted, or undefined, which should cause interesting side effects...

The obvious default value should be 1, but I cannot confirm it is.

Stephen, as the author of this feature, can you please clarify what the default value for min_links is?

V2 will follow, giving the real default value for all_slaves_active and what I consider the sensible 
default value for max_links, even if the technical real default value is currently unclear.

	Nicolas.